"""===========================================================
منطق برنامه ای را طراحی کنید  که ضمن ذخیره ۱۰۰ عدد در ارایه L
ارایه شاخص های متناظر با ان را با نام T بسازد سپس ضمن حفظ وضعیت
اولیه آرایه L انرا با بهره گیری از آرایه T به طور منطقی به صورت
صعودی مرتب و چاپ کند.
==========================================================="""

L = [12,35,8,5,32,56,43]
T = list(range(len(L)))

for i in range(len(L)):
    temp = L[i]
    index = i
    temp_index = T[i]
    for j in range(i-1,-1,-1):
        if L[T[j]] > temp:
            T[j+1] = T[j]
            index = j
    T[index] = temp_index

print(L)
print(T)
